﻿# BackRaw's EasyBEAdmin-Script (BEAdmin) v1

# import important libraries
import es
import gamethread
import playerlib

bea_admins = {'STEAM_0:1:14942199':'Real ID', 'STEAM_ID_LAN':'Lan ID'}

# write in every script you have installed on your server, please - like this: ('script1', 'script2', 'script3') etc...
event_scripts = ('notifications', 'killboost')

new_item_names = {'item_assaultsuit':'Assault Suit', 'item_vest':'Kevlar Vest', 'defuser':'Defusual Kit', 'weapon_knife':'Knife', 'weapon_glock':'Glock 18C', 'weapon_usp':'USP .45ACP', 'weapon_p228':'P228 (Compact)', 'weapon_deagle':'Desert Eagle .50AE', 'weapon_fiveseven':'ES Five-Seven', 'weapon_elite':'Dual 96G Elite Berettas', 'weapon_ak47':'Avtomat Kalashnikova - 47', 'weapon_m4a1':'M4A1 Carbine', 'weapon_galil':'IMI Galil', 'weapon_famas':'FAMAS (Clarion 5.56)', 'weapon_sg552':'SG552 Commando', 'weapon_aug':'Steyr AUG A1', 'weapon_g3sg1':'G3/SG1', 'weapon_sg550':'SG-550', 'weapon_scout':'Steyr Scout', 'weapon_awp':'Artic Warfare Police', 'weapon_mp5navy':'MP5-Navy', 'weapon_p90':'P90 Personal Defense Weapon', 'weapon_tmp':'Steyr Tactical Machine Pistol', 'weapon_ump45':'Universal Mashine Pistol', 'weapon_mac10':'Ingram MAC-10', 'weapon_m249':'M249 Para', 'weapon_m3':'M3 90 Super Entry', 'weapon_xm1014':'XM1014 (M4 Super 90)', 'weapon_hegrenade':'HE-Grenade', 'weapon_flashbang':'Flashbang', 'weapon_smokegrenade':'Smoke Grenade'}

ban_time = 60

def load():
    bea_version = 1
    es.makepublic(bea_version)
    # kicking and banning
    if not es.exists('saycommand', 'exec'):
        es.regsaycmd('exec', 'beadmin/execute')
    if not es.exists('saycommand', 'kick'):
        es.regsaycmd('kick','beadmin/kickplayer')
    if not es.exists('saycommand', 'ban'):
        es.regsaycmd('ban','beadmin/banplayer')
    # admin-say command, type @ in chat before anything, you will see the result :D
    if not es.exists('saycommand', '@'):
        es.regsaycmd('@', 'beadmin/admin_say')
    # slay and mute
    if not es.exists('saycommand', 'slay'):
        es.regsaycmd('slay', 'beadmin/slayplayer')
    if not es.exists('saycommand', 'mute'):
        es.regsaycmd('mute', 'beadmin/muteplayer')
    # friendly fire
    if not es.exists('saycommand', 'ff'):
        es.regsaycmd('ff', 'beadmin/ff')
    # load war-script, if it exists
    if not es.exists('saycommand', 'war'):
        es.regsaycmd('war', 'beadmin/war')
    # load normal game-settings
    if not es.exists('saycommand', 'normal'):
        es.regsaycmd('normal', 'beadmin/normal')
    # load scripts that you can setup above
    if not es.exists('saycommand', 'scripts'):
        es.regsaycmd('scripts', 'beadmin/scripts')
    # 1 & 3 round-restarts
    if not es.exists('saycommand', 'lo3'):
        es.regsaycmd('lo3', 'beadmin/rrr')
    if not es.exists('saycommand', 'rr'):
        es.regsaycmd('rr', 'beadmin/rr')
    # change map - type in for example "!map de_train", it will change to de_train :D
    if not es.exists('saycommand', '!map'):
        es.regsaycmd('!map', 'beadmin/mapchange')
    # gravity
    if not es.exists('saycommand', 'gravity'):
        es.regsaycmd('gravity', 'beadmin/gravity')
    # Bot-Settings
    if not es.exists('saycommand', 'addbot'):
        es.regsaycmd('addbot', 'beadmin/addbot')
    if not es.exists('saycommand', 'kickbot'):
        es.regsaycmd('kickbot', 'beadmin/kickbot')
    # give
    if not es.exists('saycommand', '!give'):
        es.regsaycmd('!give', 'beadmin/admin_give')
    if not es.exists('saycommand', 'give'):
        es.regsaycmd('give', 'beadmin/give')
    if not es.exists('saycommand', '!givecash'):
        es.regsaycmd('!givecash', 'beadmin/admin_givecash')
    if not es.exists('saycommand', 'givecash'):
        es.regsaycmd('givecash', 'beadmin/givecash')
    # HP & Armor
    if not es.exists('saycommand', 'sethealth'):
        es.regsaycmd('sethealth', 'beadmin/sethealth')
    if not es.exists('saycommand', '!sethealth'):
        es.regsaycmd('!sethealth', 'beadmin/admin_sethealth')
    if not es.exists('saycommand', 'setarmor'):
        es.regsaycmd('setarmor', 'beadmin/setarmor')
    if not es.exists('saycommand', '!setarmor'):
        es.regsaycmd('!setarmor', 'beadmin/admin_setarmor')
    if not es.exists('saycommand', 'gethealth'):
        es.regsaycmd('gethealth', 'beadmin/gethealth')
    if not es.exists('saycommand', 'getarmor'):
        es.regsaycmd('getarmor', 'beadmin/getarmor')
    # rates
    if not es.exists('saycommand', 'getrates'):
        es.regsaycmd('getrates', 'beadmin/getrates')
    # show every command
    if not es.exists('saycommand', 'commands'):
        es.regsaycmd('commands', 'beadmin/commands')

def unload():
    es.unregsaycmd('exec')
    es.unregsaycmd('kick')
    es.unregsaycmd('ban')
    es.unregsaycmd('@')
    es.unregsaycmd('slay')
    es.unregsaycmd('mute')
    es.unregsaycmd('ff')
    es.unregsaycmd('war')
    es.unregsaycmd('normal')
    es.unregsaycmd('scripts')
    es.unregsaycmd('lo3')
    es.unregsaycmd('rr')
    es.unregsaycmd('!map')
    es.unregsaycmd('gravity')
    es.unregsaycmd('addbot')
    es.unregsaycmd('kickbot')
    es.unregsaycmd('!give')
    es.unregsaycmd('give')
    es.unregsaycmd('!givecash')
    es.unregsaycmd('givecash')
    es.unregsaycmd('sethealth')
    es.unregsaycmd('!sethealth')
    es.unregsaycmd('setarmor')
    es.unregsaycmd('!setarmor')
    es.unregsaycmd('gethealth')
    es.unregsaycmd('getarmor')
    es.unregsaycmd('getrates')
    es.unregsaycmd('commands')

# ingame command: exec <config>.cfg - will execute any config file you have in your cstrike/cfg folder
def execute():
    # setup the admins which can use this command
    admins = 'STEAMID' # split with a ;
    user = es.getcmduserid()
    steam = es.getplayersteamid(user)
    if steam in bea_admins or str(admins).split(';'):
        args = es.getargc()
        if args > 1:
            config = es.getargv(1)
            es.server.cmd('exec %s' % config)
            gamethread.delayed(.1, es.msg, ('#multi', '#green[#lightgreenWar#green] #lightgreenKonfigurationsdatei #green%s #lightgreenerfolgreich ausgeführt' % es.getargs(1)))
        else:
            es.msg('#multi', '#green[#lightgreenWar#green] #lightgreenDiese Konfigurationsdatei existiert nicht...')
    else:
        es.tell(user, '#multi', '#green[#lightgreenWar#green] #lightgreen! #greenKein Admin #lightgreen!')

# ingame command: kick <playername> - will kick the player you write (optionally with a reason) (e.g. kick Elmer -> Elmer has been kicked - kick Elmer because he is silly -> Elmer has been kicked: because he is silly)
def kickplayer():
    # setup the admins which can use this command
    admins = 'STEAMID' # split with a ;
    user = es.getcmduserid()
    steam = es.getplayersteamid(user)
    if steam in bea_admins or str(admins).split(';'):
        kick_player = es.getargv(1)
        es.dbgmsg(0,'%s'%kick_player)
        kick_id = es.getuserid(kick_player)
        ## was args = es.getargc    / without the ()
        args = es.getargc()
        es.dbgmsg(0,'%s'%args)
        if args > 2:
            ## deleted args += 1
            kick_reason = '%s'%es.getargv(2)
            es.dbgmsg(0,'%s'%kick_reason)
            if args > 3:
                for word in range(3,args):
                    kick_reason = '%s %s'%(kick_reason,es.getargv(word))
            playerlib.getPlayer(kick_id).kick(kick_reason)
            es.msg('#multi', '#green[#lightgreenBEAdmin#green] %s #lightgreenwurde gekickt: #green%s'%(es.getplayername(kick_id),kick_reason))
        else:
            playerlib.getPlayer(kick_id).kick()
            es.msg('#multi', '#green[#lightgreenBEAdmin#green] %s #lightgreenwurde gekickt'%es.getplayername(kick_id))
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreen! #greenKein Admin #lightgreen!')

# ingame command: ban <playername> - same as kick
def banplayer():
    # setup the admins which can use this command
    admins = 'STEAMID' # split with a ;
    user = es.getcmduserid()
    steam = es.getplayersteamid(user)
    if steam in bea_admins or str(admins).split(';'):
        ban_player = es.getargv(1)
        ban_id = es.getuserid(ban_player)
        ## was args = es.getargc    / without the ()
        args = es.getargc()
        if args > 2:
            ## deleted args += 1
            ban_reason = '%s'%es.getargv(2)
            if args > 3:
                for word in range(3,args):
                    ban_reason = '%s %s'%(ban_reason,es.getargv(word))
            playerlib.getPlayer(ban_id).banId(ban_time,True,ban_reason)
            es.msg('#multi', '#green[#lightgreenBEAdmin#green] %s wurde gebannt: %s'%(es.getplayername(ban_id),ban_reason))
        else:
            playerlib.getPlayer(ban_id).banId(ban_time,True)
            es.msg('#multi', '#green[#lightgreenBEAdmin#green] %s wurde gebannt'%es.getplayername(ban_id))
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreen! #greenKein Admin #lightgreen!')

# ingame command: @ <what you wanna write> - surprise =D
def admin_say():
    # setup the admins which can use this feature
    admins = 'STEAMID' # split with a ;
    user = es.getcmduserid()
    steam = es.getplayersteamid(user)
    if steam in bea_admins or str(admins).split(';'):
        es.msg('#multi', '#green[#lightgreenBEAdmin#green] Admin %s#lightgreen: %s' % (es.getplayername(user), es.getargs()))
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreen! #greenKein Admin #lightgreen!')

# ingame command: slay <playername> - will slay the player you write (e.g. slay Elmer -> Admin slayed Elmer)
def slayplayer():
    # setup the admins which can use this command
    admins = 'STEAMID' # split with a ;
    user = es.getcmduserid()
    steam = es.getplayersteamid(user)
    if steam in bea_admins or str(admins).split(';'):
        slay_player = es.getargv(1)
        slay_id = es.getuserid(slay_player)
        if user <= 0:
            es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreenDieser Spieler existiert nicht...')
        else:
            args = es.getargc()
            if args > 2:
                slay_reason = '%s' % es.getargv(2)
                for word in range(2,args):
                    slay_reason = '%s %s' % (slay_reason, es.getargv(word))
            player = playerlib.getPlayer(slay_id)
            es.sexec(slay_id, 'kill')
            es.msg('#multi', '#green[#lightgreenBEAdmin#green] Admin %s #lightgreenhat #green%s #lightgreengeslayed' % (es.getplayername(user), es.getplayername(slay_id)))
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreen! #greenKein Admin #lightgreen!')

# ingame command: mute <playername> - will mute the player you write (e.g. mute Elmer -> Admin muted Elmer)
def muteplayer():
    # setup the admins which can use this command
    admins = 'STEAMID' # split with a ;
    user = es.getcmduserid()
    steam = es.getplayersteamid(user)
    if steam in bea_admins or str(admins).split(';'):
        mute_player = es.getargv(1)
        mute_id = es.getuserid(mute_player)
        if user <= 0:
            es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreenDieser Spieler existiert nicht...')
        else:
            args = es.getargc()
            if args > 2:
                mute_reason = '%s' % es.getargv(2)
                for word in range(2,args):
                    mute_reason = '%s %s' % (mute_reason, es.getargv(word))
            player = playerlib.getPlayer(mute_id)
            es.server.cmd('est_muteplayer %s' % mute_id)
            es.msg('#multi', '#green[#lightgreenBEAdmin#green] Admin %s #lightgreehat #green%s #lightgreengemuted' % (es.getplayername(user), es.getplayername(mute_id)))
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreen! #greenKein Admin #lightgreen!')

# ingame command: ff <value> (on or off) - will turn friendly fire on or off
def ff():
    admins = 'STEAMID' # split with a ;
    user = es.getcmduserid()
    steam = es.getplayersteamid(user)
    if steam in bea_admins or str(admins).split(';'):
        args = es.getargc()
        if args > 1:
            on_off = es.getargs(1)
            if on_off == 'on':
                es.set('mp_friendlyfire', '1')
                es.msg('#multi', '#green[#lightgreenBEAdmin#green] #lightgreenFriendly Fire: #greenAn')
            if on_off == 'off':
                es.set('mp_friendlyfire', '0')
                es.msg('#multi', '#green[#lightgreenBEAdmin#green] #lightgreenFriendly Fire: #greenAus')
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreen! #greenKein Admin #lightgreen!')

# ingame command: !waron - will unload every script you've setup above and will load a script called "war" (if it exists)
def war():
    # setup the admins which can use this command
    admins = 'STEAMID' # split with a ;
    user = es.getcmduserid()
    steam = es.getplayersteamid(user)
    if steam in bea_admins or str(admins).split(';'):
        args = es.getargc()
        if args > 1:
            on_off = es.getargs(1)
            if on_off == 'on':
                es.load('war')
                for script in event_scripts:
                    es.unload(script)
                es.msg('#multi', '#green[#lightgreenBEAdmin#green] #lightgreenLade #greenWar#lightgreen...')
                es.server.cmd('mp_restartgame 1')
            if on_off == 'off':
                for script in event_scripts:
                    es.load(script)
                es.unload('war')
                es.msg('#multi', '#green[#lightgreenBEAdmin#green] #lightgreenLade #greenScripts#lightgreen...')
                es.server.cmd('mp_restartgame 1')
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreen! #greenKein Admin #lightgreen!')

# ingame command: normal - will execute server.cfg in your cstrike/cfg folder, unload every script you've setup above and restart the rounds once
def normal():
    # setup the admins which can use this command
    admins = 'STEAMID' # split with a ;
    user = es.getcmduserid()
    steam = es.getplayersteamid(user)
    if steam in bea_admins or str(admins).split(';'):
        args = es.getargc()
        if args > 1:
            loadscript = es.getargv(1)
            if loadscript == 'scripts':
                es.server.cmd('mp_restartgame 1')
                es.server.cmd('exec server.cfg')
                for script in event_scripts:
                    es.load(script)
                gamethread.delayed(2, es.msg, ('#multi', '#green[#lightgreenBEAdmin#green] #lightgreenStandard Server-Konfiguration und Scripts geladen'))
        else:
            for script in event_scripts:
                es.unload(script)
            es.server.cmd('mp_restartgame 1')
            es.server.cmd('exec server.cfg')
            gamethread.delayed(2, es.msg, ('#multi', '#green[#lightgreenBEAdmin#green] #lightgreenStandard Server-Konfiguration geladen'))
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreen! #greenKein Admin #lightgreen!')

# ingame command: scripts - will load every script you've setup above and restart the rounds once
def scripts():  
    # setup the admins which can use this command
    admins = 'STEAMID' # split with a ;
    user = es.getcmduserid()
    steam = es.getplayersteamid(user)
    if steam in bea_admins or str(admins).split(';'):
        es.server.cmd('mp_restartgame 1')
        for script in event_scripts:
            es.load(script)
        gamethread.delayed(2, es.msg, ('#multi', '#green[#lightgreenBEAdmin#green] #lightgreenScripts geladen'))
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreen! #greenKein Admin #lightgreen!')

# ingame command: 3rr - will restart the rounds three times
def rrr():
    # setup the admins which can use this command
    admins = 'STEAMID' # split with a ;
    user = es.getcmduserid()
    steam = es.getplayersteamid(user)
    if steam in bea_admins or str(admins).split(';'):
        es.server.cmd('mp_restartgame 1')
        gamethread.delayed(2, es.server.cmd, 'mp_restartgame 1')
        gamethread.delayed(4, es.server.cmd, 'mp_restartgame 1')
        gamethread.delayed(6, es.msg, ('#multi', '#green[#lightgreenBEAdmin#green] #green3 Runden-Neustarts #lightgreenerfolgreich ausgeführt'))
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreen! #greenKein Admin #lightgreen!')

# ingame command: rr - will restart the rounds once
def rr():
    # setup the admins which can use this command
    admins = 'STEAMID' # split with a ;
    user = es.getcmduserid()
    steam = es.getplayersteamid(user)
    if steam in bea_admins or str(admins).split(';'):
        es.server.cmd('mp_restartgame 1')
        gamethread.delayed(2, es.msg, ('#multi', '#green[#lightgreenBEAdmin#green] #greenRunden-Neustart #lightgreenerfolgreich ausgeführt'))
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreen! #greenKein Admin #lightgreen!')

# ingame command: !map <mapname with prefix (unfortunately)> - will change the map to whatever you write (e.g. !map de_train -> map will be changed to de_train)
def mapchange():
    # setup the admins which can use this command
    admins = 'STEAMID' # split with a ;
    user = es.getcmduserid()
    steam = es.getplayersteamid(user)
    if steam in bea_admins or str(admins).split(';'):
        args = es.getargc()
        if args > 1:
            map1 = es.getargv(1)
            es.server.cmd('changelevel %s' % map1)
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreen! #greenKein Admin #lightgreen!')

# ingame command: gravity <value> - will set the gravity to whatever you write (e.g. gravity 200 -> will set sv_gravity to 200)
def gravity():
    # setup the admins which can use this command
    admins = 'STEAMID' # split with a ;
    user = es.getcmduserid()
    steam = es.getplayersteamid(user)
    if steam in bea_admins or str(admins).split(';'):
        args = es.getargc()
        if args > 1:
            grav = es.getargv(1)
            es.server.cmd('sv_gravity %s' % grav)
            es.msg('#multi', '#green[#lightgreenBEAdmin#green] Admin %s #lightgreenhat Schwerkraft auf #green%s #lightgreengestellt' % (es.getplayername(user), grav))
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreen! #greenKein Admin #lightgreen!')

# ingame command: addbot (optional: <teamname>) - will add a Bot to the server to any team except you write the team initials (e.g. addbot t -> will add a Bot to team T)
def addbot():
    # setup the admins which can use this command
    admins = 'STEAMID' # split with a ;
    user = es.getcmduserid()
    steam = es.getplayersteamid(user)
    if steam in bea_admins or str(admins).split(';'):
        args = es.getargc()
        if args > 1:
            team = es.getargv(1)
            es.server.cmd('bot_add %s' % team)
            es.msg('#multi', '#green[#lightgreenBEAdmin#green] Admin %s #lightgreenhat einen #greenBot #lightgreenzu einem Team hinzugefügt' % es.getplayername(user))
        else:
            es.server.cmd('bot_add')
            es.msg('#multi', '#green[#lightgreenBEAdmin#green] Admin %s #lightgreenhat einen #greenBot #lightgreenhinzugefügt' % es.getplayername(user))
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreen! #greenKein Admin #lightgreen!')

# ingame command: kickbot (optional: <playername>) - will kick every Bot on the server except you write his (half)name (e.g. kickbot Elmer -> Bot Elmer has been kicked)
def kickbot():
    # setup the admins which can use this command
    admins = 'STEAMID' # split with a ;
    user = es.getcmduserid()
    steam = es.getplayersteamid(user)
    if steam in bea_admins or str(admins).split(';'):
        kick_bot = es.getargv(1)
        bot_id = es.getuserid(kick_bot)
        args = es.getargc()
        if args > 1:
            name = es.getargv(1)
            es.server.cmd('bot_kick %s' % name)
            es.msg('#multi', '#green[#lightgreenBEAdmin#green] Admin %s #lightgreenhat Bot #green%s #lightgreengekickt' % (es.getplayername(user), es.getplayername(bot_id)))
        else:
            es.server.cmd('bot_kick')
            es.msg('#multi', '#green[#lightgreenBEAdmin#green] Admin %s #lightgreenhat alle #greenBots #lightgreengekickt' % es.getplayername(user))
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreen! #greenKein Admin #lightgreen!')

# ingame command: !give <enityname> - will give YOU whatever enity you write (e.g. !give weapon_m4a1 -> you'll get a M4A1
def admin_give():
    # setup the admins which can use this command
    admins = 'STEAMID' # split with a ;
    user = es.getcmduserid()
    steam = es.getplayersteamid(user)
    if steam in bea_admins or str(admins).split(';'):
        args = es.getargc()
        if args > 1:
            name = es.getargv(1)
            playerlist = playerlib.getPlayerList('#all')
            for wep in playerlist:
                playerwep = wep.attributes['weapon']
                playerwep1 = es.getargs(playerwep)
                es.server.cmd('es_xgive %s %s' % (user, name))
            es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreenDu hast dir selbst: #green%s #lightgreengegeben' % new_item_names.get(playerwep1, playerwep1))
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreen! #greenKein Admin #lightgreen!')

# ingame command: give <enityname> - will give EVERYBODY whatever enity you write (e.g. give weapon_ak47 -> everybody will get an AK-47)
def give():
    # setup the admins which can use this command
    admins = 'STEAMID' # split with a ;
    user = es.getcmduserid()
    steam = es.getplayersteamid(user)
    if steam in bea_admins or str(admins).split(';'):
        args = es.getargc()
        player = playerlib.getUseridList('#all')
        for userid in player:
            if args > 1:
                name = es.getargv(1)
                playerlist = playerlib.getPlayerList('#all')
                for wep in playerlist:
                    playerwep = wep.attributes['weapon']
                    playerwep1 = es.getargs(playerwep)
                    es.server.cmd('es_xgive %s %s' % (userid, name))
                es.tell(userid, '#multi', '#green[#lightgreenBEAdmin#green] Admin %s #lightgreenhat jedem #green%s #lightgreengegeben' % (es.getplayername(user), new_item_names.get(playerwep1, playerwep1)))
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreen! #greenKein Admin #lightgreen!')

# ingame command: !givecash <value> - will give YOU the amount of cash that you write
def admin_givecash():
    # setup the admins which can use this command
    admins = 'STEAMID' # split with a ;
    user = es.getcmduserid()
    steam = es.getplayersteamid(user)
    if steam in bea_admins or str(admins).split(';'):
        args = es.getargc()
        if args > 1:
            pay = es.getargv(1)
            playerlib.getPlayer(user).add('cash', pay)
            player = playerlib.getPlayer(user)
            cash = player.get('cash')
            if cash > 16000:
                playerlib.getPlayer(user).set('cash', 16000)
                es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreenDu hast dir $#green16000 #lightgreengegeben')
            else:
                es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreenDu hast dir $#green%s #lightgreengegeben' % es.getargs(1))

# ingame command: givecash <value> - will give EVERYBODY the amount of cash that you write
def givecash():
    # setup the admins which can use this command
    admins = 'STEAMID' # split with a ;
    user = es.getcmduserid()
    steam = es.getplayersteamid(user)
    if steam in bea_admins or str(admins).split(';'):
        args = es.getargc()
        player = playerlib.getUseridList('#all')
        for userid in player:
            if args > 1:
                pay = es.getargv(1)
                playerlib.getPlayer(userid).add('cash', pay)
                player1 = playerlib.getPlayer(userid)
                cash = player1.get('cash')
                if cash > 16000:
                    playerlib.getPlayer(userid).set('cash', 16000)
                    es.tell(userid, '#multi', '#green[#lightgreenBEAdmin#green] Admin %s #lightgreenhat jedem $#green16000 #lightgreengegeben' % es.getplayername(user))
                else:
                    es.tell(userid, '#multi', '#green[#lightgreenBEAdmin#green] Admin %s #lightgreenhat jedem $#green%s #lightgreengegeben' % (es.getplayername(user), es.getargs(1)))
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreen! #greenKein Admin #lightgreen!')

# ingame command: sethealth <value> - will set EVERYBODY's amount of health to whatever you write
def sethealth():
    # setup the admins which can use this command
    admins = 'STEAMID' # split with a ;
    user = es.getcmduserid()
    steam = es.getplayersteamid(user)
    if steam in bea_admins or str(admins).split(';'):
        args = es.getargc()
        player = playerlib.getUseridList('#all')
        for userid in player:
            if args > 1:
                health = es.getargv(1)
                playerlib.getPlayer(userid).set('health', health)
                es.tell(userid, '#multi', '#green[#lightgreenBEAdmin#green] Admin %s #lightgreenhat die HP jedes Spielers auf #green%s #lightgreengesetzt' % (es.getplayername(user), es.getargv(1)))
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreen! #greenKein Admin #lightgreen!')

# ingame command: !sethealth <value> - will set YOUR amount of health to whatever you write
def admin_sethealth():
    # setup the admins which can use this command
    admins = 'STEAMID' # split with a ;
    user = es.getcmduserid()
    steam = es.getplayersteamid(user)
    if steam in bea_admins or str(admins).split(';'):
        args = es.getargc()
        if args > 1:
            health = es.getargv(1)
            playerlib.getPlayer(user).set('health', health)
            es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreenDu hast deine HP auf #green%s #lightgreengesetzt' % es.getargv(1))
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreen! #greenKein Admin #lightgreen!')

# ingame command: setarmor <value> - will set EVERYBODY's amount of armor to whatever you write
def setarmor():
    # setup the admins which can use this command
    admins = 'STEAMID' # split with a ;
    user = es.getcmduserid()
    steam = es.getplayersteamid(user)
    if steam in bea_admins or str(admins).split(';'):
        args = es.getargc()
        player = playerlib.getUuseridList('#all')
        for userid in player:
            if args > 1:
                armor = es.getargv(1)
                playerlib.getPlayer(userid).set('armor', armor)
        es.msg('#multi', '#green[#lightgreenBEAdmin#green] Admin %s #lightgreenhat die Rüstung jedes Spielers auf #green%s #lightgreengesetzt' % (es.getplayername(user), es.getargv(1)))
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreen! #greenKein Admin #lightgreen!')

# ingame command: !setarmor <value> - will set YOUR amount of armor to whatever you write
def admin_setarmor():
    # setup the admins which can use this command
    admins = 'STEAMID' # split with a ;
    user = es.getcmduserid()
    steam = es.getplayersteamid(user)
    if steam in bea_admins or str(admins).split(';'):
        args = es.getargc()
        if args > 1:
            armor = es.getargv(1)
            playerlib.getPlayer(user).set('armor', health)
            es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreenDu hast deine Rüstung auf #green%s #lightgreengesetzt' % es.getargv(1))
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreen! #greenKein Admin #lightgreen!')

# ingame command: gethealth <playername> - will tell you the amount of health the specefic player has
def gethealth():
    # setup the admins which can use this command
    admins = 'STEAMID' # split with a ;
    user = es.getcmduserid()
    steam = es.getplayersteamid(user)
    if steam in bea_admins or str(admins).split(';'):
        get_player = es.getargv(1)
        get_id = es.getuserid(get_player)
        args = es.getargc()
        if args > 1:
            get_uid = playerlib.getPlayer(get_id)
            get_health = get_uid.get('health')
            es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] %s#lightgreen\'s HP: #green%s' % (es.getplayername(get_id), get_health))
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreen! #greenKein Admin #lightgreen!')
    
# ingame command: getarmor <playername> - will tell you the amount of armor the specefic player has
def getarmor():
    # setup the admins which can use this command
    admins = 'STEAMID' # split with a ;
    user = es.getcmduserid()
    steam = es.getplayersteamid(user)
    if steam in bea_admins or str(admins).split(';'):
        get_player = es.getargv(1)
        get_id = es.getuserid(get_player)
        args = es.getargc()
        if args > 1:
            get_uid = playerlib.getPlayer(get_id)
            get_armor = get_uid.get('armor')
            es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] %s#lightgreen\'s Rüstung: #green%s' % (es.getplayername(get_id), get_armor))
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreen! #greenKein Admin #lightgreen!')

def getrates():
    admin = 'STEAMID' # split with a ;
    user = es.getcmduserid()
    steam = es.getplayersteamid(user)
    if steam in bea_admins or str(admins).split(';'):
        get_player = es.getargv(1)
        get_id = es.getuserid(get_player)
        args = es.getargc()
        if args > 1:
            es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] %s#lightgreen\'s Rates sind...' % es.getplayername(get_id))
            player_rate = es.getclientvar(get_id, 'rate')
            player_cmdrate = es.getclientvar(get_id, 'cl_cmdrate')
            player_updaterate = es.getclientvar(get_id, 'cl_updaterate')
            gamethread.delayed(.3, es.tell, (user, '#multi', '#green[#lightgreenNotifications#green] #lightgreenrate: #green%s' % player_rate))
            gamethread.delayed(.3, es.tell, (user, '#multi', '#green[#lightgreenNotifications#green] #lightgreencl_cmdrate: #green%s' % player_cmdrate))
            gamethread.delayed(.3, es.tell, (user, '#multi', '#green[#lightgreenNotifications#green] #lightgreencl_updaterate: #green%s' % player_updaterate))
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreen! #greenNo Admin #lightgreen!')

def commands():
    admin = 'STEAMID' # split with a ;
    user = es.getcmduserid()
    steam = es.getplayersteamid(user)
    if steam in bea_admins or str(admins).split(';'):
        es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreenBefehle sind')
        gamethread.delayed(.3, es.tell, (user, '#multi', '#greenexec, kick, ban, @, slay, mute, ff, war, normal, scripts, lo3, rr, !map, gravity, addbot kickbot, !give, give'))
        gamethread.delayed(.3, es.tell, (user, '#multi', '#green!givecash, givecash, !sethealth, sethealth, !setarmor, setarmor, gethealth, getarmor, getrates'))
    else:
        es.tell(user, '#multi', '#green[#lightgreenBEAdmin#green] #lightgreen! #greenNo Admin #lightgreen!')
